## tiff 4.5.1+git230720

=== CMakeLists.txt ===
# CMake build for libtiff
# Run "cmake" to generate the build files for your platform
#
# Copyright © 2015 Open Microscopy Environment / University of Dundee
# Copyright © 2021 Roger Leigh <rleigh@codelibre.net>
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation for any purpose is hereby granted without fee, provided
# that (i) the above copyright notices and this permission notice appear in
# all copies of the software and related documentation, and (ii) the names of
# Sam Leffler and Silicon Graphics may not be used in any advertising or
# publicity relating to the software without the specific, prior written
# permission of Sam Leffler and Silicon Graphics.
#
# THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
#
# IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
# ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
# LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
# OF THIS SOFTWARE.

cmake_minimum_required(VERSION 3.9.0)

# Default policy is from 3.9.0
cmake_policy(VERSION 3.9.0)

# Find CMake modules in cmake/
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

# Read version information from configure.ac.
include(AutotoolsVersion)
message(STATUS "Building tiff version ${LIBTIFF_VERSION_FULL}")
message(STATUS "libtiff library version ${SO_VERSION}")
string(TIMESTAMP BUILD_DATE "%Y%m%d")
message(STATUS "libtiff build date: ${BUILD_DATE}")

# Project definition
set(CMAKE_C_STANDARD 99)
project(tiff
        VERSION "${LIBTIFF_VERSION}"
        LANGUAGES C CXX)

if(NOT CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR)
  # libtiff is being included as a subproject of some other project.
  set(TIFF_INSTALL_DEFAULT OFF)
else()
  set(TIFF_INSTALL_DEFAULT ON)
  option(BUILD_SHARED_LIBS "Build shared libraries" ON)
endif()

option(tiff-tools "build TIFF tools" ON)
option(tiff-tests "build TIFF tests" ON)
option(tiff-contrib "build TIFF contrib" ON)
option(tiff-docs "build TIFF documentation" ON)
option(tiff-deprecated "build TIFF deprecated features" OFF)
option(tiff-install "install TIFF targets" ${TIFF_INSTALL_DEFAULT})

# Disable deprecated features to ensure clean build
if (tiff-deprecated)
  add_definitions(-DTIFF_DISABLE_DEPRECATED)
endif()

# Autotools compatibility
include(AutotoolsCompat)

# Compiler checks (warning flags, etc.)
include(CompilerChecks)

# Linker checks (version script, etc.)
include(LinkerChecks)

# Processor checks (endianness, fill order, floating point, etc.)
include(ProcessorChecks)

# Checks for headers
include(IncludeChecks)

# Checks for functions and other symbols
include(SymbolChecks)

# Standard installation paths
include(GNUInstallDirs)
# Documentation install directory (default to cmake project docdir)
set(LIBTIFF_DOCDIR "${CMAKE_INSTALL_DOCDIR}")

# CTest testing
enable_testing()

# Checks for type presence and size
include(TypeSizeChecks)

# Check for POSIX Large File Support (LFS)
include(LargeFileSupport)

# Options for internal codec support
include(InternalCodecs)

# Check for Deflate codec
include(DeflateCodec)

# Check for PixarLog codec
include(PixarLogCodec)

# Check for JPEG codec
include(JPEGCodec)

# Check for JBIG codec
include(JBIGCodec)

# Check for LERC codec
include(LERCCodec)

# Check for LZMA codec
include(LZMACodec)

# Check for ZSTD codec
include(ZSTDCodec)

# Check for WebP codec
include(WebPCodec)

# Option for C++ libtiffxx library
include(CXXLibrary)

# Checks for OpenGL support
include(OpenGLChecks)

# Windows support
include(WindowsSupport)

# Orthogonal features
include(LibraryFeatures)


# math.h/libm portability
find_package(CMath REQUIRED)

# Release support
include(Release)

# Process subdirectories
add_subdirectory(port)
add_subdirectory(libtiff)
if(tiff-tools)
  add_subdirectory(tools)
endif()
if(tiff-tests)
  add_subdirectory(test)
endif()
if(tiff-contrib)
  add_subdirectory(contrib)
endif()
add_subdirectory(build)
if(tiff-docs)
  add_subdirectory(doc)
endif()

# pkg-config support
include(PkgConfig)

message(STATUS "")
message(STATUS "Libtiff is now configured for ${CMAKE_SYSTEM}")
message(STATUS "")
message(STATUS "  Installation directory:             ${prefix}")
message(STATUS "  Documentation directory:            ${LIBTIFF_DOCDIR}")
message(STATUS "  C compiler:                         ${CMAKE_C_COMPILER}")
message(STATUS "  C++ compiler:                       ${CMAKE_CXX_COMPILER}")
message(STATUS "  Build shared libraries:             ${BUILD_SHARED_LIBS}")
message(STATUS "  Build tools:                        ${tiff-tools}")
message(STATUS "  Build tests:                        ${tiff-tests}")
message(STATUS "  Build contrib:                      ${tiff-contrib}")
message(STATUS "  Build docs:                         ${tiff-docs}")
message(STATUS "  Build deprecated features:          ${tiff-deprecated}")
message(STATUS "  Enable linker symbol versioning:    ${HAVE_LD_VERSION_SCRIPT}")
message(STATUS "  Support Microsoft Document Imaging: ${mdi}")
message(STATUS "  Use win32 IO:                       ${USE_WIN32_FILEIO}")
message(STATUS "")
message(STATUS " Support for internal codecs:")
message(STATUS "  CCITT Group 3 & 4 algorithms:       ${ccitt}")
message(STATUS "  Macintosh PackBits algorithm:       ${packbits}")
message(STATUS "  LZW algorithm:                      ${lzw}")
message(STATUS "  ThunderScan 4-bit RLE algorithm:    ${thunder}")
message(STATUS "  NeXT 2-bit RLE algorithm:           ${next}")
message(STATUS "  LogLuv high dynamic range encoding: ${logluv}")
message(STATUS "")
message(STATUS " Support for external codecs:")
message(STATUS "  ZLIB support:                       Requested:${zlib} Availability:${ZLIB_FOUND} Support:${ZLIB_SUPPORT}")
if(ZLIB_SUPPORT)
  message(STATUS "  libdeflate support:                 Requested:${libdeflate} Availability:${DEFLATE_FOUND} Support:${LIBDEFLATE_SUPPORT}")
else()
  message(STATUS "  libdeflate support:                 Requested:${libdeflate} Availability:${DEFLATE_FOUND} Support:${LIBDEFLATE_SUPPORT} (Depends on ZLIB Support)")
endif()
if(ZLIB_SUPPORT)
  message(STATUS "  Pixar log-format algorithm:         Requested:${pixarlog} Availability:${ZLIB_FOUND} Support:${PIXARLOG_SUPPORT}")
else()
  message(STATUS "  Pixar log-format algorithm:         Requested:${pixarlog} Availability:${ZLIB_FOUND} Support:${PIXARLOG_SUPPORT} (Depends on ZLIB Support)")
endif()
message(STATUS "  JPEG support:                       Requested:${jpeg} Availability:${JPEG_FOUND} Support:${JPEG_SUPPORT}")
if(JPEG_SUPPORT)
  message(STATUS "  Old JPEG support:                   Requested:${old-jpeg} Availability:${JPEG_SUPPORT} Support:${OJPEG_SUPPORT}")
else()
  message(STATUS "  Old JPEG support:                   Requested:${old-jpeg} Availability:${JPEG_SUPPORT} Support:${OJPEG_SUPPORT} (Depends on JPEG Support)")
endif()
if(JPEG_SUPPORT AND HAVE_JPEGTURBO_DUAL_MODE_8_12)
  message(STATUS "  JPEG 8/12 bit dual mode:            Support: yes (libjpeg turbo >= 2.2 dual mode)")
else()
  message(STATUS "  JPEG 8/12 bit dual mode:            Requested:${jpeg12} Availability:${JPEG12_FOUND} Support:${JPEG_DUAL_MODE_8_12}")
endif()
message(STATUS "  ISO JBIG support:                   Requested:${jbig} Availability:${JBIG_FOUND} Support:${JBIG_SUPPORT}")
if(ZLIB_SUPPORT)
  message(STATUS "  LERC support:                       Requested:${lerc} Availability:${LERC_FOUND} Support:${LERC_SUPPORT}")
else()
  message(STATUS "  LERC support:                       Requested:${lerc} Availability:${LERC_FOUND} Support:${LERC_SUPPORT} (Depends on ZLIB Support)")
endif()
message(STATUS "  LZMA2 support:                      Requested:${lzma} Availability:${liblzma_FOUND} Support:${LZMA_SUPPORT}")
message(STATUS "  ZSTD support:                       Requested:${zstd} Availability:${ZSTD_USABLE} Support:${ZSTD_SUPPORT}")
message(STATUS "  WEBP support:                       Requested:${webp} Availability:${WebP_FOUND} Support:${WEBP_SUPPORT}")
message(STATUS "")
message(STATUS "  C++ support:                        ${cxx} (requested) ${CXX_SUPPORT} (availability)")
message(STATUS "")
# message(STATUS "  X Athena Widgets support:           ${HAVE_XAW}")
message(STATUS "  OpenGL support:                     Requested:${tiff-opengl} Availability:${HAVE_OPENGL} Support:${OPENGL_SUPPORT}")
message(STATUS "")

=== libtiff/CMakeLists.txt ===
# CMake build for libtiff
#
# Copyright © 2015 Open Microscopy Environment / University of Dundee
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation for any purpose is hereby granted without fee, provided
# that (i) the above copyright notices and this permission notice appear in
# all copies of the software and related documentation, and (ii) the names of
# Sam Leffler and Silicon Graphics may not be used in any advertising or
# publicity relating to the software without the specific, prior written
# permission of Sam Leffler and Silicon Graphics.
#
# THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
#
# IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
# ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
# LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
# OF THIS SOFTWARE.

# Generate headers
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/tif_config.h.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/tif_config.h
               @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/tiffconf.h.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/tiffconf.h
               @ONLY)

set(tiff_public_HEADERS
        tiff.h
        tiffio.h
        tiffvers.h
        ${CMAKE_CURRENT_BINARY_DIR}/tiffconf.h)

set(tiff_private_HEADERS
        t4.h
        tif_dir.h
        tif_predict.h
        tiffiop.h
        uvcode.h
        ${CMAKE_CURRENT_BINARY_DIR}/tif_config.h)


add_library(tiff libtiff.def)
add_library(TIFF::tiff ALIAS tiff)

target_sources(tiff PRIVATE
        ${tiff_public_HEADERS}
        ${tiff_private_HEADERS}
        tif_aux.c
        tif_close.c
        tif_codec.c
        tif_color.c
        tif_compress.c
        tif_dir.c
        tif_dirinfo.c
        tif_dirread.c
        tif_dirwrite.c
        tif_dumpmode.c
        tif_error.c
        tif_extension.c
        tif_fax3.c
        tif_fax3sm.c
        tif_flush.c
        tif_getimage.c
        tif_hash_set.c
        tif_jbig.c
        tif_jpeg.c
        tif_jpeg_12.c
        tif_lerc.c
        tif_luv.c
        tif_lzma.c
        tif_lzw.c
        tif_next.c
        tif_ojpeg.c
        tif_open.c
        tif_packbits.c
        tif_pixarlog.c
        tif_predict.c
        tif_print.c
        tif_read.c
        tif_strip.c
        tif_swab.c
        tif_thunder.c
        tif_tile.c
        tif_version.c
        tif_warning.c
        tif_webp.c
        tif_write.c
        tif_zip.c
        tif_zstd.c)

if(USE_WIN32_FILEIO)
  target_sources(tiff PRIVATE tif_win32.c)
else()
  target_sources(tiff PRIVATE tif_unix.c)
endif()

target_include_directories(tiff
    PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
        $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    PRIVATE
        ${TIFF_INCLUDES}
)

# MSVC specific resource preparation
if (WIN32 AND MSVC)
  message(STATUS "Include resource version information for LibTIFF")
  target_sources(tiff PRIVATE tif_win32_versioninfo.rc)
  source_group("Resource Files" FILES tif_win32_versioninfo.rc)
endif ()


set(tiff_libs_private_list "") # cmake list
set(tiff_requires_private "") # cmake string

if(ZIP_SUPPORT)
  target_link_libraries(tiff PRIVATE ZLIB::ZLIB)
  string(APPEND tiff_requires_private " zlib")
endif()
if(ZIP_SUPPORT AND LIBDEFLATE_SUPPORT)
  target_link_libraries(tiff PRIVATE Deflate::Deflate)
  list(APPEND tiff_libs_private_list "${Deflate_LIBRARY}")
endif()
if(JPEG_SUPPORT)
  target_link_libraries(tiff PRIVATE JPEG::JPEG)
  string(APPEND tiff_requires_private " libjpeg")
  if(HAVE_JPEGTURBO_DUAL_MODE_8_12)
    target_compile_definitions(tiff PRIVATE HAVE_JPEGTURBO_DUAL_MODE_8_12)
  elseif(JPEG_DUAL_MODE_8_12)
    target_include_directories(tiff PRIVATE ${JPEG12_INCLUDE_DIR})
    target_link_libraries(tiff PRIVATE ${JPEG12_LIBRARIES})
  endif()
endif()
if(JBIG_SUPPORT)
  target_link_libraries(tiff PRIVATE JBIG::JBIG)
  list(APPEND tiff_libs_private_list "${JBIG_LIBRARY}")
endif()
if(LERC_SUPPORT)
  target_link_libraries(tiff PRIVATE LERC::LERC)
  list(APPEND tiff_libs_private_list "${LERC_LIBRARY}")
  if(NOT BUILD_SHARED_LIBS)
    set_target_properties(tiff PROPERTIES COMPILE_DEFINITIONS LERC_STATIC)
  endif()
endif()
if(LZMA_SUPPORT)
  target_link_libraries(tiff PRIVATE liblzma::liblzma)
  string(APPEND tiff_requires_private " liblzma")
endif()
if(ZSTD_SUPPORT)
  target_link_libraries(tiff PRIVATE ZSTD::ZSTD)
  string(APPEND tiff_requires_private " libzstd")
endif()
if(WEBP_SUPPORT)
  target_link_libraries(tiff PRIVATE WebP::webp)
  string(APPEND tiff_requires_private " libwebp")
endif()
if(CMath_LIBRARY)
  target_link_libraries(tiff PRIVATE CMath::CMath)
  list(APPEND tiff_libs_private_list "${CMath_LIBRARY}")
endif()

set(tiff_libs_private_list "${tiff_libs_private_list}" PARENT_SCOPE)
set(tiff_requires_private "${tiff_requires_private}" PARENT_SCOPE)

set_target_properties(tiff PROPERTIES SOVERSION ${SO_COMPATVERSION})
if(NOT CYGWIN)
    # This property causes shared libraries on Linux to have the full version
    # encoded into their final filename.  We disable this on Cygwin because
    # it causes cygz-${TIFF_FULL_VERSION}.dll to be created when cygz.dll
    # seems to be the default.
    set_target_properties(tiff PROPERTIES VERSION ${SO_VERSION})
endif()
if(HAVE_LD_VERSION_SCRIPT)
  set_target_properties(tiff PROPERTIES LINK_FLAGS
                        "-Wl,--version-script=${CMAKE_CURRENT_SOURCE_DIR}/libtiff.map")
endif()

if(tiff-install)
  export(TARGETS tiff NAMESPACE TIFF:: FILE "${CMAKE_CURRENT_BINARY_DIR}/libtiffTargets.cmake")
  install(TARGETS tiff EXPORT TiffTargets
          RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
          LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
          ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

  install(FILES ${tiff_public_HEADERS}
          DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")

  set(TIFF_CONFIGDIR ${CMAKE_INSTALL_LIBDIR}/cmake/tiff)
  install(EXPORT TiffTargets
          FILE TiffTargets.cmake
          NAMESPACE TIFF::
          DESTINATION ${TIFF_CONFIGDIR}
  )

  include(CMakePackageConfigHelpers)
  write_basic_package_version_file(
    TiffConfigVersion.cmake
    VERSION ${LIBTIFF_VERSION}
    COMPATIBILITY SameMajorVersion)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/TiffConfigVersion.cmake DESTINATION ${TIFF_CONFIGDIR})

  configure_file(${PROJECT_SOURCE_DIR}/cmake/TiffConfig.cmake.in
                 ${CMAKE_CURRENT_BINARY_DIR}/TiffConfig.cmake @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/TiffConfig.cmake DESTINATION ${TIFF_CONFIGDIR})
endif()

if(CXX_SUPPORT)
  set(tiffxx_HEADERS
          tiffio.hxx)

  # No .def file for this library.
  if (WIN32)
      add_library(tiffxx STATIC ../placeholder.h)
  else()
      add_library(tiffxx ../placeholder.h)
  endif()

  add_library(TIFF::CXX ALIAS tiffxx)

  target_sources(tiffxx PRIVATE
          ${tiffxx_HEADERS}
          tif_stream.cxx)
  target_link_libraries(tiffxx tiff)
  set_target_properties(tiffxx PROPERTIES SOVERSION ${SO_COMPATVERSION})
  if(NOT CYGWIN)
    # This property causes shared libraries on Linux to have the full version
    # encoded into their final filename.  We disable this on Cygwin because
    # it causes cygz-${TIFF_FULL_VERSION}.dll to be created when cygz.dll
    # seems to be the default.
    set_target_properties(tiffxx PROPERTIES VERSION ${SO_VERSION})
  endif()
  if(HAVE_LD_VERSION_SCRIPT)
    set_target_properties(tiffxx PROPERTIES LINK_FLAGS
                          "-Wl,--version-script=${CMAKE_CURRENT_SOURCE_DIR}/libtiffxx.map")
  endif()

  if(tiff-install)
    install(TARGETS tiffxx
            RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
            LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
            ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

    install(FILES ${tiffxx_HEADERS}
            DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
  endif()
      
endif()

if(NOT CMAKE_CROSSCOMPILING)
  add_executable(tiff_mkg3states ../placeholder.h)
  target_sources(tiff_mkg3states PRIVATE mkg3states.c tif_fax3.h)
  target_link_libraries(tiff_mkg3states tiff tiff_port)

  add_custom_target(tiff_faxtable
          DEPENDS tiff_mkg3states
          COMMAND ${CMAKE_COMMAND} -E rm "tif_fax3sm.c"
          COMMAND tiff_mkg3states -b -c const "tif_fax3sm.c"
          WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")
endif()

=== tools/CMakeLists.txt ===
# CMake build for libtiff
#
# Copyright © 2015 Open Microscopy Environment / University of Dundee
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation for any purpose is hereby granted without fee, provided
# that (i) the above copyright notices and this permission notice appear in
# all copies of the software and related documentation, and (ii) the names of
# Sam Leffler and Silicon Graphics may not be used in any advertising or
# publicity relating to the software without the specific, prior written
# permission of Sam Leffler and Silicon Graphics.
#
# THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
#
# IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
# ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
# LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
# OF THIS SOFTWARE.

# MSVC specific resource preparation
if (WIN32 AND MSVC)
  message(STATUS "Include resource version information for TOOLS")
  set(MSVC_RESSOURCE_FILE tif_tools_versioninfo.rc)
  source_group("Resource Files" FILES tif_tools_versioninfo.rc)
endif ()


add_executable(fax2ps ../placeholder.h)
target_sources(fax2ps PRIVATE fax2ps.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(fax2ps PRIVATE tiff tiff_port)

add_executable(fax2tiff ../placeholder.h)
target_sources(fax2tiff PRIVATE fax2tiff.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(fax2tiff PRIVATE tiff tiff_port)

add_executable(pal2rgb ../placeholder.h)
target_sources(pal2rgb PRIVATE pal2rgb.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(pal2rgb PRIVATE tiff tiff_port)

add_executable(ppm2tiff ../placeholder.h)
target_sources(ppm2tiff PRIVATE ppm2tiff.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(ppm2tiff PRIVATE tiff tiff_port)

add_executable(raw2tiff ../placeholder.h)
target_sources(raw2tiff PRIVATE raw2tiff.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(raw2tiff PRIVATE tiff tiff_port CMath::CMath)

add_executable(rgb2ycbcr ../placeholder.h)
target_sources(rgb2ycbcr PRIVATE rgb2ycbcr.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(rgb2ycbcr PRIVATE tiff tiff_port)

add_executable(thumbnail ../placeholder.h)
target_sources(thumbnail PRIVATE thumbnail.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(thumbnail PRIVATE tiff tiff_port CMath::CMath)

add_executable(tiff2bw ../placeholder.h)
target_sources(tiff2bw PRIVATE tiff2bw.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(tiff2bw PRIVATE tiff tiff_port)

add_executable(tiff2pdf ../placeholder.h)
target_sources(tiff2pdf PRIVATE tiff2pdf.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(tiff2pdf PRIVATE tiff tiff_port)

add_executable(tiff2ps ../placeholder.h)
target_sources(tiff2ps PRIVATE tiff2ps.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(tiff2ps PRIVATE tiff tiff_port CMath::CMath)

add_executable(tiff2rgba ../placeholder.h)
target_sources(tiff2rgba PRIVATE tiff2rgba.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(tiff2rgba PRIVATE tiff tiff_port)

add_executable(tiffcmp ../placeholder.h)
target_sources(tiffcmp PRIVATE tiffcmp.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(tiffcmp PRIVATE tiff tiff_port)

add_executable(tiffcp ../placeholder.h)
target_sources(tiffcp PRIVATE tiffcp.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(tiffcp PRIVATE tiff tiff_port)

add_executable(tiffcrop ../placeholder.h)
target_sources(tiffcrop PRIVATE tiffcrop.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(tiffcrop PRIVATE tiff tiff_port CMath::CMath)

add_executable(tiffdither ../placeholder.h)
target_sources(tiffdither PRIVATE tiffdither.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(tiffdither PRIVATE tiff tiff_port)

add_executable(tiffdump ../placeholder.h)
target_sources(tiffdump PRIVATE tiffdump.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(tiffdump PRIVATE tiff tiff_port)

add_executable(tiffinfo ../placeholder.h)
target_sources(tiffinfo PRIVATE tiffinfo.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(tiffinfo PRIVATE tiff tiff_port)

add_executable(tiffmedian ../placeholder.h)
target_sources(tiffmedian PRIVATE tiffmedian.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(tiffmedian PRIVATE tiff tiff_port)

add_executable(tiffset ../placeholder.h)
target_sources(tiffset PRIVATE tiffset.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(tiffset PRIVATE tiff tiff_port)

add_executable(tiffsplit ../placeholder.h)
target_sources(tiffsplit PRIVATE tiffsplit.c ${MSVC_RESSOURCE_FILE})
target_link_libraries(tiffsplit PRIVATE tiff tiff_port)

# rgb2ycbcr and thumbnail are intended to *NOT* be installed. They are for
# testing purposes only.
install(TARGETS fax2ps
                fax2tiff
                pal2rgb
                ppm2tiff
                raw2tiff
                tiff2bw
                tiff2pdf
                tiff2ps
                tiff2rgba
                tiffcmp
                tiffcp
                tiffcrop
                tiffdither
                tiffdump
                tiffinfo
                tiffmedian
                tiffset
                tiffsplit
        RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")

if(OPENGL_SUPPORT)
  add_executable(tiffgt ../placeholder.h)
  target_sources(tiffgt PRIVATE tiffgt.c)
  target_link_libraries(tiffgt PRIVATE tiff tiff_port)
  target_link_libraries(tiffgt PRIVATE OpenGL::GL GLUT::GLUT)

  install(TARGETS tiffgt
          RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
endif()

if(WEBP_SUPPORT AND EMSCRIPTEN)
  # Emscripten is pretty finnicky about linker flags.
  # It needs --shared-memory if and only if atomics or bulk-memory is used.
  foreach(target fax2ps
                 fax2tiff
                 pal2rgb
                 ppm2tiff
                 raw2tiff
                 rgb2ycbcr
                 thumbnail
                 tiff2bw
                 tiff2pdf
                 tiff2ps
                 tiff2rgba
                 tiffcmp
                 tiffcp
                 tiffcrop
                 tiffdither
                 tiffdump
                 tiffinfo
                 tiffmedian
                 tiffset
                 tiffsplit)
    target_link_options(${target} PUBLIC "-Wl,--shared-memory")
  endforeach()
endif()

=== debian/changelog ===
tiff (4.5.1+git230720-4ubuntu4.2) plucky-security; urgency=medium

  * SECURITY UPDATE: Memory corruption.
    - debian/patches/CVE-2025-8961.patch: Add _TIFFfree and extra read_buff
      check in tools/tiffcrop.c.
    - CVE-2025-8961
  * SECURITY UPDATE: Memory leak.
    - debian/patches/CVE-2025-9165.patch: Add TIFFClose in tools/tiffcmp.c.
    - CVE-2025-9165
  * SECURITY UPDATE: Out of bounds write when processing specially crafted
    TIFF files.
    - debian/patches/CVE-2025-9900.patch: Add img->height and img->width
      checks in libtiff/tif_getimage.c.
    - CVE-2025-9900

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Wed, 24 Sep 2025 12:36:47 -0230

tiff (4.5.1+git230720-4ubuntu4.1) plucky-security; urgency=medium

  * SECURITY UPDATE: null-pointer dereference
    - d/p/CVE-2025-8534.patch: tiff2ps: check return of TIFFGetFiled() to
      fix
    - CVE-2025-8534
  * SECURITY UPDATE: use-after-free issue
    - d/p/CVE-2025-8176.patch: fix heap use-after-free in tiffmedian
    - CVE-2025-8176
  * SECURITY UPDATE: stack-based buffer overflow
    - d/p/CVE-2025-8851.patch: address tiffcrop buffer overflow issues
    - CVE-2025-8851

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 20 Aug 2025 15:49:38 +0530

tiff (4.5.1+git230720-4ubuntu4) oracular; urgency=medium

  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2024-7006.patch: adds check for the return value
      of _TIFFCreateAnonField() to handle potential NULL pointers in
      libtiff/tif_dirinfo.c and libtiff/tif_dirread.c.
    - CVE-2024-7006

 -- Ian Constantin <ian.constantin@canonical.com>  Thu, 05 Sep 2024 16:59:32 +0300

tiff (4.5.1+git230720-4ubuntu3) oracular; urgency=medium

  * SECURITY UPDATE: heap buffer overflow in tiffcrop.c
    - debian/patches/CVE-2023-3164.patch: heap buffer overflow in tiffcrop.c
    - CVE-2023-3164

 -- Bruce Cable <bruce.cable@canonical.com>  Thu, 30 May 2024 13:55:08 +1000

tiff (4.5.1+git230720-4ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:28:11 +0000

tiff (4.5.1+git230720-4ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining change:
    - Don't build with LERC on i386 because it requires numpy (Closes: #1017958)
  * SECURITY UPDATE: heap based buffer overflow
    - debian/patches/CVE-2023-6228.patch: add check for codec configuration
      in tools/tiffcp.c.
    - CVE-2023-6228
  * SECURITY UPDATE: out-of-bounds read in tiffcrop
    - debian/patches/CVE-2023-1916.patch: Fix heap-buffer-overflow in
      function extractImageSection in tools/tiffcrop.c.
    - CVE-2023-1916

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 28 Feb 2024 14:21:10 -0500

tiff (4.5.1+git230720-4) unstable; urgency=high

  * Backport security fix for CVE-2023-52355, an out-of-memory flaw that
    could be triggered by passing a crafted tiff file with documentation
    update how to prevent it.
  * Backport security fix for CVE-2023-52356, a segment fault flaw that
    could be triggered by passing a crafted tiff file (closes: #1061524).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Jan 2024 10:32:25 +0100

tiff (4.5.1+git230720-3ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining change:
    - Don't build with LERC on i386 because it requires numpy (Closes: #1017958)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 09:38:15 -0400

tiff (4.5.1+git230720-3) unstable; urgency=medium

  * Mark break on versions of libimager-perl that don't work with this tiff
    version (closes: #1057326).
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Dec 2023 15:16:24 +0100

tiff (4.5.1+git230720-2) unstable; urgency=high

  * Backport security fix for CVE-2023-6277, passing a crafted tiff file to
    TIFFOpen() API may allow a remote attacker to cause a denial of service
    (closes: #1056751).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 Nov 2023 10:25:48 +0100

tiff (4.5.1+git230720-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining change:
    - Don't build with LERC on i386 because it requires numpy (Closes: #1017958)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 09:38:15 -0400

tiff (4.5.1+git230720-1) unstable; urgency=medium

  * Git snapshot, fixing the following security issues:
    - fix TransferFunction writing of only two transfer functions,
    - TIFFReadDirectory(): fix crash when reading tag TIFFTAG_EP_BATTERYLEVEL,
    - WebP decoder: validate WebP blob width, height, band count against
      TIFF parameters,
    - TIFFReadDirectoryCheckOrder(): avoid integer overflow,
    - tiffcp: fix memory corruption (overflow) on hostile images,
    - raw2tiff: fix integer overflow and bypass of the check.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 29 Jul 2023 23:36:42 +0200

tiff (4.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 21 Jun 2023 17:49:37 +0200

tiff (4.5.1~rc3-1) unstable; urgency=medium

  * New upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 12 Jun 2023 21:56:31 +0200

tiff (4.5.0-6ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2020707).  Remaining changes:
    - Don't build with LERC on i386 because it requires numpy
      (Closes: #1017958)

 -- Amin Bandali <bandali@ubuntu.com>  Wed, 24 May 2023 16:13:57 -0400

tiff (4.5.0-5ubuntu1) lunar; urgency=high

  * Merge from Debian unstable. Remaining differences:
    - Don't build with LERC on i386 because it requires numpy
      (Closes: #1017958, LP: #2012540)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 24 Mar 2023 11:13:09 +0100

tiff (4.5.0-4ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining differences:
    - Don't build with LERC on i386 because it requires numpy (Closes: #1017958)



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable all hardening options.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -D_REENTRANT
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Variables used by cdbs
DEB_COMPRESS_EXCLUDE = html

override_dh_auto_configure:
	cp $(CURDIR)/debian/custom_dir_EXIF_GPS.tiff \
		$(CURDIR)/test/images/
	dh_auto_configure -- \
	  --with-docdir="\$${prefix}/share/doc/libtiff-doc" \
	  --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
	  --includedir="\$${prefix}/include/$(DEB_HOST_MULTIARCH)" \
	  --enable-ld-version-script \
	  --enable-docs

override_dh_install:
	dh_install -X.la
	# tiffgt is in libtiff-opengl so libtiff-tools doesn't have to have
	# all the X and opengl dependencies.
	$(RM) debian/libtiff-tools/usr/bin/tiffgt
	$(RM) debian/libtiff-tools/usr/share/man/man1/tiffgt.1*

override_dh_missing:
	dh_missing --list-missing

%:
	dh $@ --with autoreconf

.PHONY: override_dh_auto_configure override_dh_install override_dh_missing

## tiff 4.6.0

=== debian/changelog ===
tiff (4.6.0-2) experimental; urgency=high

  * Backport security fix for CVE-2023-6277, passing a crafted tiff file to
    TIFFOpen() API may allow a remote attacker to cause a denial of service
    (closes: #1056751).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 Nov 2023 10:28:03 +0100

tiff (4.6.0-1) experimental; urgency=medium

  * New upstream release.
  * No longer ship upstream deprecated tiffgt binary and its libtiff-opengl
    package.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 14 Sep 2023 17:13:30 +0000

=== debian/control ===
Source: tiff
Section: libs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13),
               freeglut3-dev,
               libglu1-mesa-dev,
               libjbig-dev,
               libjpeg-dev,
               liblzma-dev,
               libzstd-dev,
               libwebp-dev,
               libxi-dev,
               zlib1g-dev,
               libdeflate-dev,
               liblerc-dev [!s390x !hppa !powerpc !ppc64 !sparc64],
               sphinx <!nodoc>
Standards-Version: 4.6.1
Homepage: https://libtiff.gitlab.io/libtiff/
Rules-Requires-Root: no

Package: libtiff6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Tag Image File Format (TIFF) library
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the shared library.

Package: libtiffxx6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Tag Image File Format (TIFF) library -- C++ interface
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the shared library for the experimental C++ interfaces.

Package: libtiff-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libc6-dev | libc-dev,
         libjbig-dev,
         libjpeg-dev,
         liblzma-dev,
         libzstd-dev,
         libwebp-dev,
         libtiff6 (= ${binary:Version}),
         libtiffxx6 (= ${binary:Version}),
         zlib1g-dev,
         libdeflate-dev,
         liblerc-dev [!s390x !hppa !powerpc !ppc64 !sparc64],
         ${misc:Depends}
Replaces: libtiff4-dev (<< 4.0.3-6~),
          libtiff5-alt-dev (<< 4.0.3-6~),
          libtiff5-dev (<< 4.0.10-1~)
Breaks: libtiff4-dev (<< 4.0.3-6~),
        libtiff5-alt-dev (<< 4.0.3-6~),
        libtiff5-dev (<< 4.0.10-1~)
Description: Tag Image File Format library (TIFF), development files
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the development files, static library, and header files.

Package: libtiff5-dev
Section: oldlibs
Depends: libtiff-dev (>= 4.0.10-1),
         ${misc:Depends}
Recommends: pkg-config
Architecture: any
Multi-Arch: same
Description: Tag Image File Format library (TIFF), development files (transitional package)
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the development files, static library, and header files.
 .
 This is a transitional package. It can safely be removed.

Package: libtiff-tools
Section: graphics
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: TIFF manipulation and conversion tools
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes tools for converting TIFF images to and from other formats
 and tools for doing simple manipulations of TIFF images.

Package: libtiff-doc
Section: doc
Depends: ${misc:Depends}, libjs-jquery, libjs-sphinxdoc, libjs-underscore
Architecture: all
Multi-Arch: foreign
Description: TIFF manipulation and conversion documentation
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 contains documentation.

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,13 @@
 DEB_COMPRESS_EXCLUDE = html
 
 override_dh_auto_configure:
-	cp $(CURDIR)/debian/custom_dir_EXIF_GPS.tiff \
-		$(CURDIR)/test/images/
 	dh_auto_configure -- \
 	  --with-docdir="\$${prefix}/share/doc/libtiff-doc" \
 	  --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
 	  --includedir="\$${prefix}/include/$(DEB_HOST_MULTIARCH)" \
 	  --enable-ld-version-script \
+	  --enable-deprecated \
+	  --enable-tools-unsupported \
 	  --enable-docs
 
 override_dh_install:

## tiff 4.7.0

=== build/CMakeLists.txt ===
# CMake build for libtiff
#
# Copyright © 2015 Open Microscopy Environment / University of Dundee
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation for any purpose is hereby granted without fee, provided
# that (i) the above copyright notices and this permission notice appear in
# all copies of the software and related documentation, and (ii) the names of
# Sam Leffler and Silicon Graphics may not be used in any advertising or
# publicity relating to the software without the specific, prior written
# permission of Sam Leffler and Silicon Graphics.
#
# THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
#
# IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
# ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
# LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
# OF THIS SOFTWARE.

=== debian/changelog ===
tiff (4.7.0-3+deb13u1) trixie-security; urgency=medium

  * CVE-2024-13978 (Closes: #1111323)
  * CVE-2025-8961 (Closes: #1111317)
  * CVE-2025-9165 (Closes: #1111878)
  * CVE-2025-9900

 -- Moritz Mühlenhoff <jmm@debian.org>  Sat, 27 Sep 2025 18:03:27 +0200

tiff (4.7.0-3) unstable; urgency=medium

  [ Santiago Vila <sanvila@debian.org> ]
  * Do not run tests in parallel (closes: #1102073).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 05 Apr 2025 07:48:49 +0200

tiff (4.7.0-2) unstable; urgency=medium

  * Backport upstream fix for test_directory.c not to fail on big-endian
    machines.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 28 Mar 2025 07:08:13 +0100

tiff (4.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update libtiff6 symbols.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 27 Mar 2025 13:27:57 +0100

tiff (4.5.1+git230720-5) unstable; urgency=high

  * Backport security fix for CVE-2024-7006, NULL pointer dereference bug in
    _TIFFMergeFields() (closes: #1078648).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 15 Aug 2024 18:04:20 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libdeflate-dev,
                liblerc-dev [!s390x !hppa !powerpc !ppc64 !sparc64],
                sphinx <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://libtiff.gitlab.io/libtiff/
 Rules-Requires-Root: no
 
@@ -25,6 +25,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Breaks: libimager-perl (<< 1.022+dfsg)
 Description: Tag Image File Format (TIFF) library
  libtiff is a library providing support for the Tag Image File Format
  (TIFF), a widely used format for storing image data.  This package
@@ -73,7 +74,7 @@
 Section: oldlibs
 Depends: libtiff-dev (>= 4.0.10-1),
          ${misc:Depends}
-Recommends: pkg-config
+Recommends: pkgconf
 Architecture: any
 Multi-Arch: same
 Description: Tag Image File Format library (TIFF), development files (transitional package)
@@ -89,11 +90,26 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Suggests: libtiff-opengl
 Description: TIFF manipulation and conversion tools
  libtiff is a library providing support for the Tag Image File Format
  (TIFF), a widely used format for storing image data.  This package
  includes tools for converting TIFF images to and from other formats
- and tools for doing simple manipulations of TIFF images.
+ and tools for doing simple manipulations of TIFF images.  See also
+ libtiff-opengl.
+
+Package: libtiff-opengl
+Section: graphics
+Architecture: any
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Description: TIFF manipulation and conversion tools
+ libtiff is a library providing support for the Tag Image File Format
+ (TIFF), a widely used format for storing image data.  This package
+ contains libtiff tools that depend upon opengl.  It complements the
+ libtiff-tools package, which contains the libtiff tools that don't
+ depend upon opengl.
 
 Package: libtiff-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -13,14 +13,17 @@
 DEB_COMPRESS_EXCLUDE = html
 
 override_dh_auto_configure:
+	cp $(CURDIR)/debian/custom_dir_EXIF_GPS.tiff \
+		$(CURDIR)/test/images/
 	dh_auto_configure -- \
 	  --with-docdir="\$${prefix}/share/doc/libtiff-doc" \
 	  --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
 	  --includedir="\$${prefix}/include/$(DEB_HOST_MULTIARCH)" \
 	  --enable-ld-version-script \
-	  --enable-deprecated \
-	  --enable-tools-unsupported \
 	  --enable-docs
+
+override_dh_auto_test:
+	dh_auto_test --max-parallel=1
 
 override_dh_install:
 	dh_install -X.la
@@ -35,4 +38,5 @@
 %:
 	dh $@ --with autoreconf
 
-.PHONY: override_dh_auto_configure override_dh_install override_dh_missing
+.PHONY: override_dh_auto_configure override_dh_auto_test \
+	override_dh_install override_dh_missing

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/(\d)[_\.\-\+]?RC[\-\.]?(\d*)$/$1~rc$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://gitlab.com/libtiff/libtiff/-/tags \
.*/[vV](\d\S*)

opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/(\d)[_\.\-\+]?RC[\-\.]?(\d*)$/$1~rc$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://download.osgeo.org/libtiff/ \
(?:|.*/)tiff[_-]?[vV]?(\d\S*)@ARCHIVE_EXT@

## tiff 4.7.1

=== build/test_cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9.0)
project(test)

find_package(Tiff CONFIG REQUIRED)

add_executable(test test.c)
set_target_properties(test PROPERTIES LINKER_LANGUAGE CXX)
target_link_libraries(test PRIVATE TIFF::tiff)

=== build/test_cmake_no_target/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9.0)
project(test)

find_package(Tiff CONFIG REQUIRED)

add_executable(test test.c)
target_include_directories(test PRIVATE ${TIFF_INCLUDE_DIR})
set_target_properties(test PROPERTIES LINKER_LANGUAGE CXX)
target_link_libraries(test PRIVATE ${TIFF_LIBRARIES})

=== debian/changelog ===
tiff (4.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Update libtiff6 symbols.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Sep 2025 14:39:50 +0200

tiff (4.7.0-5) unstable; urgency=high

  * Backport security fix for CVE-2025-8961, double free and memory leak in
    the tiffcrop tool (closes: #1111317).
  * Update watch file.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 10 Sep 2025 16:53:31 +0200

tiff (4.7.0-4) unstable; urgency=high

  * Backport security fix for CVE-2025-9165, tiffcmp memory leak when second
    file cannot be opened (closes: #1111878).
  * Backport security fix for CVE-2024-13978, potential division-by-zero in
    the tiff2pdf tool (closes: #1111323).
  * Fix fax2ps regression where TIFFTAG_FAXFILLFUNC is being used rather than
    an output buffer.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 24 Aug 2025 11:28:17 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libdeflate-dev,
                liblerc-dev [!s390x !hppa !powerpc !ppc64 !sparc64],
                sphinx <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://libtiff.gitlab.io/libtiff/
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/(\d)[_\.\-\+]?RC[\-\.]?(\d*)$/$1~rc$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://gitlab.com/libtiff/libtiff/-/tags \
.*/[vV](\d\S*)
